post
https://sandbox.saner.secpod.com/AncorWebService/perform
Delete one device by hostname.
This method allows you to delete one or more devices. It only requires device’s hostname. If more than 15 devices are deleted, the request will be accepted, and the deletion will happen in the background.
| Key | Meaning | Mandatory | Data Type |
|---|---|---|---|
| hostname | Hostname of the device to be deleted | Yes | string |
Python SDK code
Install:
pip install secpod-saner-sdkCall this endpoint:
from saner.cvem import CvemClient
client = CvemClient(
api_key="<YOUR_API_KEY>",
accountid="<YOUR_ACCOUNT_ID>",
base_url="https://saner.secpod.com"
)
response=client.Device.delete(
hostname="windows 7"
)
print(response)
client.close()Requires Python 3.9 or later.